petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISStrideGetInfo

Returns the first index in a stride index set and the stride width.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISStrideGetInfo(IS is,PetscInt *first,PetscInt *step)

Not Collective Many br

### Input Parameter

is -the index set Many br

### Output Parameters

first -the first index Many br
step -the stride width Many br

Many br

### Notes

Returns info on stride index set. This is a pseudo-public function that Many brshould not be needed by most users. Many br

### See Also

ISCreateStride(), ISGetSize()

Level:intermediate
Location:src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex2.c.html
src/vec/is/is/examples/tutorials/ex2f.F.html